//Script was made by Khoiidol please credit to me if you share this addon!
import { world } from "@minecraft/server";

const WARP_DATA_PROPERTY = "warpData";

export function saveWarpData(data) {
    const serializedData = JSON.stringify(data);
    world.setDynamicProperty(WARP_DATA_PROPERTY, serializedData);
}

export function loadWarpData() {
    const serializedData = world.getDynamicProperty(WARP_DATA_PROPERTY);
    if (serializedData) {
        try {
            return JSON.parse(serializedData);
        } catch (error) {
            console.error("Error parsing warp data:", error);
            return null;
        }
    }
    return null;
}

export function initializeWarpData() {
    const existingData = loadWarpData();
    if (!existingData) {
        const initialData = {
            playerWarps: {},
            publicWarps: {},
            warpAccess: {},
            warpCodes: {}
        };
        saveWarpData(initialData);
        return initialData;
    }
    return existingData;
}